document.addEventListener('DOMContentLoaded', function() {
    const form = document.querySelector('.song-input-form');
    
    form.addEventListener('submit', function(e) {
        e.preventDefault();
        
        const formData = {
            persona: document.getElementById('persona').value,
            goals: document.getElementById('goals').value,
            challenges: document.getElementById('challenges').value,
            considerations: document.getElementById('considerations').value,
            context: document.getElementById('context').value,
            solutions: document.getElementById('solutions').value,
            storyArch: document.getElementById('story-arch').value,
            genres: document.getElementById('genres').value,
            tone: document.getElementById('tone').value
        };
        
        // Add visual feedback
        const submitBtn = document.querySelector('.submit-btn');
        submitBtn.textContent = 'Submitted!';
        submitBtn.style.backgroundColor = '#10B981';
        
        // Reset form and button after 2 seconds
        setTimeout(() => {
            form.reset();
            submitBtn.textContent = 'Submit';
            submitBtn.style.backgroundColor = '';
        }, 2000);
        
        // Here you would typically send formData to your backend
        console.log('Form Data:', formData);
    });
    
    // Add smooth scrolling for navigation links
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });
});